Bug 537816 - SELinux is preventing /usr/libexec/rtkit-daemon "setsched" access.
Summary: SELinux is preventing /usr/libexec/rtkit-daemon "setsched" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:ed580661d83...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 13:07 UTC by Thomas Ahle
Modified: 2009-12-02 04:42 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:08 UTC


Attachments (Terms of Use)

Description Thomas Ahle 2009-11-16 13:07:17 UTC
Summary:

SELinux is preventing /usr/libexec/rtkit-daemon "setsched" access.

Detailed Description:

SELinux denied access requested by rtkit-daemon. It is not expected that this
access is required by rtkit-daemon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_mono_t:s0-s0:
                              c0.c1023
Target Objects                None [ process ]
Source                        rtkit-daemon
Source Path                   /usr/libexec/rtkit-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           rtkit-0.4-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-40.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-115.fc12.x86_64 #1 SMP
                              Tue Nov 3 23:56:19 EST 2009 x86_64 x86_64
Alert Count                   11
First Seen                    Thu 05 Nov 2009 09:59:57 PM CET
Last Seen                     Thu 05 Nov 2009 09:59:57 PM CET
Local ID                      d3d656bd-89d7-4554-be9c-111c235f959e
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1257454797.394:30): avc:  denied  { setsched } for  pid=1504 comm="rtkit-daemon" scontext=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1257454797.394:30): arch=c000003e syscall=144 success=no exit=-13 a0=b8b a1=40000000 a2=7fff01a2fde0 a3=40 items=0 ppid=1 pid=1504 auid=4294967295 uid=496 gid=491 euid=496 suid=496 fsuid=496 egid=491 sgid=491 fsgid=491 tty=(none) ses=4294967295 comm="rtkit-daemon" exe="/usr/libexec/rtkit-daemon" subj=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-40.fc12,catchall,rtkit-daemon,rtkit_daemon_t,unconfined_mono_t,process,setsched
audit2allow suggests:

#============= rtkit_daemon_t ==============
allow rtkit_daemon_t unconfined_mono_t:process setsched;

Comment 1 Daniel Walsh 2009-11-16 20:11:15 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:41:30 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:24:52 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:35:53 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.